commit:     524d772732440d24f398877a3d47b537cc23b238
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 19:17:06 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 20:02:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=524d7727

app-office/texstudio: bump to 3.1.0

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-office/texstudio/Manifest               |  1 +
 app-office/texstudio/texstudio-3.1.0.ebuild | 73 +++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 168918e6879..81e05cae04d 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -1,2 +1,3 @@
 DIST texstudio-3.0.4.tar.gz 83191627 BLAKE2B 
a800b369967051a7154a1ec5d00ae735477fdbb4237e6653bf5469c5fcfa1083fa28f56e3e6bda304821084281e1bf02dfdc4738e6762072d7fb43988e029641
 SHA512 
094fc53cab388d2e5f9ecfc1172a6ae853c04abe746ed03afe8819be3acdf4e7cb2bdf9ce1edda43fda9396c260f2063aa05ca9aae66871505555d7da6c49beb
 DIST texstudio-3.0.5.tar.gz 83231803 BLAKE2B 
739a57fa5305ad8044f8fc13903910ee743cac353aeed53b298dd3d50291c4e5b2d2b67db7785305d1f1c71ba805769a57b46374c762efd39bc1a450f1df470e
 SHA512 
240d177ffbd64f51a8f2aa93644cae29764876ed6fdd03733da05ed97a8ec10e21c1f3aebcb05b35617083abf0442b60ffe8f0a89edb28adacaf9ebe40609a48
+DIST texstudio-3.1.0.tar.gz 83232492 BLAKE2B 
6e890fb19a51d8f1fdecbf844f674579391cfea4c3e41535db1daca78d24774e085d7c3c7d2c1eae6e7c287e9ab1d465e1082a25e95b95a7b62930a416bd654d
 SHA512 
83d758102b597eae928e68a59035a83d90a950920995dc992a4478f8eba8ccb1f038a01bd07cce2681f354cad735394b2637cb79899d8e89960bae258652b3d8

diff --git a/app-office/texstudio/texstudio-3.1.0.ebuild 
b/app-office/texstudio/texstudio-3.1.0.ebuild
new file mode 100644
index 00000000000..b762eb4fbdd
--- /dev/null
+++ b/app-office/texstudio/texstudio-3.1.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop prefix qmake-utils xdg
+
+MY_PV="${PV/_/}"
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio";
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+COMMON_DEPEND="
+       app-text/hunspell:=
+       app-text/poppler[qt5]
+       >=dev-libs/quazip-0.7.2:0[qt5(+)]
+       dev-qt/designer:5
+       dev-qt/qtcore:5
+       dev-qt/qtconcurrent:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtprintsupport:5
+       dev-qt/qtscript:5
+       dev-qt/qtsingleapplication[qt5(+),X]
+       dev-qt/qtsvg:5
+       dev-qt/qttest:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtxml:5
+       sys-libs/zlib
+       x11-libs/libX11
+       x11-libs/libXext
+       video? ( media-libs/phonon[qt5(+)] )"
+RDEPEND="${COMMON_DEPEND}
+       app-text/ghostscript-gpl
+       app-text/psutils
+       media-libs/netpbm
+       virtual/latex-base"
+DEPEND="${COMMON_DEPEND}"
+
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+
+       if use video; then
+               sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+       fi
+
+       sed \
+               -e '/qtsingleapplication.pri/d' \
+               -i ${PN}.pro || die
+
+       cp "${FILESDIR}"/texmakerx_my.pri ${PN}.pri || die
+       eprefixify ${PN}.pri
+}
+
+src_configure() {
+       eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
+}
+
+src_install() {
+       local i
+       for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+               newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+       done
+       emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+}

Reply via email to